Skip to content

Skip the next billing cycle for a subscription

POST
/api/subscriptions/{id}/skip
curl --request POST \
--url https://api.usegro.co/api/subscriptions/example/skip \
--header 'Content-Type: application/json' \
--data '{ "skip_weeks": 1, "reason": "example", "skip_reason_id": "example" }'
id
required
string
Media typeapplication/json
object
skip_weeks
required
number
reason
string
<= 500 characters
skip_reason_id
string
nullable

Example generated

{
"skip_weeks": 1,
"reason": "example",
"skip_reason_id": "example"
}
Media typeapplication/json
object
data
required
object
number
required
string
id
required
string
status
required
string
Allowed values: ACTIVE PAUSED CANCELLED EXPIRED PAYMENT_FAILED
created_at
string
nullable
updated_at
string
nullable
is_active
required
boolean
account_id
required
string
total
required
number
pause_reason
string
nullable
can_cancel
required
boolean
currency_code
required
string
profile_id
required
string
note
string
nullable
paused_at
string
nullable
discounts
Array<object>
object
id
string
status
string
Allowed values: ACTIVE EXHAUSTED REMOVED
created_at
string
nullable
updated_at
string
nullable
is_active
boolean
discount_code
string
nullable
title
string
value
number
nullable
currency_code
string
nullable
value_type
One of:
string
nullable
shopify_discount_id
string
target_type
string
Allowed values: ORDER SHIPPING_LINE LINE_ITEM
recurring_cycle_limit
number
nullable
applied_at
string
nullable
exhausted_at
string
nullable
removed_at
string
nullable
is_shipping_discount
boolean
discount_label
string
next_billing_date
string
nullable
holiday_moved_from_date
string
nullable
next_delivery_date
string
nullable
delivery_method
object
type
string
Allowed values: shipping local_delivery pickup
shipping_option
One of:
string
local_delivery_option
One of:
string
pickup_option
One of:
string
subtotal
required
number
discount_amount
required
number
delivery_slot_id
string
nullable
shipping_amount
required
number
tax_amount
required
number
delivery_instructions
string
nullable
delivery_address
object
address1
string
city
string
country
string
country_code
string
zip
string
address2
One of:
string
phone
One of:
string
first_name
One of:
string
last_name
One of:
string
company
One of:
string
province
One of:
string
province_code
One of:
string
lines
required
Array<object>
object
shopify_contract_id
number
nullable
billing_interval
required
string
billing_interval_count
required
number
last_payment_reminder_sent_at
string
nullable
last_payment_reminder_billing_date
string
nullable
payment_day_of_week
number
nullable
payment_day_of_month
number
nullable
next_production_date
string
nullable
delivery_slot_valid
required
boolean
cancelled_at
string
nullable
cancellation_reason
string
nullable
cancellation_reason_id
string
nullable
payment_method_brand
string
nullable
payment_method_last4
string
nullable
current_billing_cycle
required
number
prior_order_count
required
number
shopify_origin_order_id
string
nullable
delivery_interval
required
string
delivery_interval_count
required
number
migration_source_ref
string
nullable
custom_attributes
object
pause_reason_id
string
nullable
last_order
string
nullable
can_pause
required
boolean
can_resume
required
boolean
can_reactivate
required
boolean
is_in_dunning
required
boolean
can_retry_payment
required
boolean
payment_reminder_status
required
string
Allowed values: pending sent not-applicable not-due not-sent
frequency_label
required
string
entity_label
string
nullable
current_dunning_episode
string
nullable
delivery_method_label
string
nullable
delivery_method_option
string
nullable
has_shipping_discount
required
boolean
total_revenue
required
number
profile
One of:
string
delivery_day
One of:
string
delivery_slot
One of:
string
entities
One of:
string

Example

{
"data": {
"status": "ACTIVE",
"discounts": [
{
"status": "ACTIVE",
"value_type": "PERCENTAGE",
"target_type": "ORDER"
}
],
"delivery_method": {
"type": "shipping"
},
"payment_reminder_status": "pending",
"profile": {
"email_status": "subscribed",
"sms_status": "subscribed",
"sms_opt_in_level": "single_opt_in"
}
}
}